# FoundationClasses
TKernel
NCollection

# NCollection_IndexedMap< TheKeyType >::IndexedMapNode Class Reference

Inheritance diagram for NCollection_IndexedMap< TheKeyType >::IndexedMapNode:

[legend]

## Public Member Functions

| IndexedMapNode (const TheKeyType &theKey1, const Standard_Integer theKey2, NCollection_ListNode *theNext1, NCollection_ListNode *theNext2)
| Constructor with 'Next'.
TheKeyType & | Key1 (void)
| Key1.
const Standard_Integer & | Key2 (void)
| Key2.
IndexedMapNode *& | Next2 (void)
| Next2.

## Static Public Member Functions

static void | delNode (NCollection_ListNode *theNode, Handle(NCollection_BaseAllocator)&theAl)
| Static deleter to be passed to BaseList.

## Private Attributes

Standard_Integer | myKey2
IndexedMapNode * | myNext2

### template<class TheKeyType>
class NCollection_IndexedMap< TheKeyType >::IndexedMapNode

## Constructor & Destructor Documentation

template<class TheKeyType>
NCollection_IndexedMap< TheKeyType >::IndexedMapNode::IndexedMapNode | ( | const TheKeyType & | theKey1,
|  | const Standard_Integer | theKey2,
|  | NCollection_ListNode * | theNext1,
|  | NCollection_ListNode * | theNext2
| ) | `[inline]`

## Member Function Documentation

template<class TheKeyType>
static void NCollection_IndexedMap< TheKeyType >::IndexedMapNode::delNode | ( | NCollection_ListNode * | theNode,
|  | Handle(NCollection_BaseAllocator)& | theAl
| ) | `[inline, static]`

| Reimplemented from NCollection_TListNode< TheKeyType >.

template<class TheKeyType>
TheKeyType& NCollection_IndexedMap< TheKeyType >::IndexedMapNode::Key1 | ( | void |  | ) | `[inline]`

template<class TheKeyType>
const Standard_Integer& NCollection_IndexedMap< TheKeyType >::IndexedMapNode::Key2 | ( | void |  | ) | `[inline]`

template<class TheKeyType>
IndexedMapNode*& NCollection_IndexedMap< TheKeyType >::IndexedMapNode::Next2 | ( | void |  | ) | `[inline]`

## Field Documentation

template<class TheKeyType>
Standard_Integer NCollection_IndexedMap< TheKeyType >::IndexedMapNode::myKey2 `[private]`

template<class TheKeyType>
IndexedMapNode* NCollection_IndexedMap< TheKeyType >::IndexedMapNode::myNext2 `[private]`

The documentation for this class was generated from the following file:

- NCollection_IndexedMap.hxx